<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.moneymint.activities.EarnOffers">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <include layout="@layout/toolbar"></include>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:background="@color/colorPrimaryDark"
            android:gravity="center_vertical">


            <LinearLayout
                android:layout_centerInParent="true"
                android:layout_width="wrap_content"
                android:orientation="horizontal"
                android:layout_height="match_parent">
                <TextView
                    android:fontFamily="@font/roboto"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="25dp"
                    android:text="English   "
                    android:textColor="@color/white"
                    android:textSize="20sp"
                    android:textStyle="bold" />
                <Switch
                    android:id="@+id/languageSwitch"
                    android:shadowColor="@color/white"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:text="   Hindi"
                    android:textColor="@color/white"
                    android:textSize="20sp"
                    android:textStyle="bold" />

            </LinearLayout>


        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="4"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="4">

                <android.support.v7.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="70dp"
                            android:orientation="horizontal"
                            android:padding="5dp"
                            android:layout_weight="3"
                            >
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:gravity="center">
                                <ImageView
                                    android:padding="10dp"
                                    android:scaleType="centerInside"
                                    app:srcCompat="@color/white"
                                    android:id="@+id/img_logo"
                                    android:layout_width="75dp"
                                    android:layout_height="75dp" />
                            </LinearLayout>
                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:orientation="vertical"
                                android:layout_weight="0"
                                android:layout_marginEnd="5dp"
                                android:layout_marginRight="5dp"
                                android:layout_marginStart="5dp"
                                android:layout_marginLeft="5dp">
                                <TextView
                                    android:fontFamily="@font/roboto"
                                    android:id="@+id/txt_title_earnOffers"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="Amazon"
                                    android:textStyle="bold"
                                    android:textColor="@color/black"
                                    android:textSize="17sp"/>
                                <TextView
                                    android:fontFamily="@font/roboto"
                                    android:id="@+id/txt_sub_text"
                                    android:layout_width="160dp"
                                    android:layout_height="wrap_content"
                                    android:text="@string/amazon_desc"
                                    android:textSize="10sp"
                                    />

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:gravity="end"
                                android:orientation="vertical"
                                android:layout_weight="1">
                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="35dp"
                                    android:gravity="center"
                                    android:background="@drawable/rect_text">
                                    <ImageView
                                        android:id="@+id/img_star"
                                        android:layout_width="20dp"
                                        android:layout_height="20dp"
                                        app:srcCompat="@drawable/star" />

                                    <TextView
                                        android:fontFamily="@font/roboto"
                                        android:id="@+id/txt_Credit"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="10dp"
                                        android:layout_marginStart="10dp"
                                        android:text="200"
                                        android:textColor="@color/teal900"
                                        android:textSize="17sp"
                                        android:textStyle="bold" />

                                </LinearLayout>

                                <ImageView
                                    android:id="@+id/sharetask"
                                    android:layout_margin="3dp"
                                    app:srcCompat="@drawable/share_black"
                                    android:layout_width="20dp"
                                    android:layout_height="20dp" />



                            </LinearLayout>



                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_weight="1"
                            android:orientation="horizontal"
                            android:padding="5dp">

                            <TextView
                                android:fontFamily="@font/roboto"
                                android:id="@+id/txt_FullText"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:text="@string/offer_desc" />


                        </LinearLayout>


                    </LinearLayout>
                </android.support.v7.widget.CardView>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="3">

                <WebView
                    android:id="@+id/web_view_instal"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                </WebView>

            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="4"
                android:gravity="center"
                android:orientation="vertical"
                android:padding="3dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="horizontal"
                    android:padding="5dp">

                    <Button
                        android:fontFamily="@font/roboto"
                        android:id="@+id/btn_instal_offers"
                        android:layout_width="wrap_content"
                        android:layout_height="40dp"
                        android:background="@drawable/btn_install_now"
                        android:singleLine="true"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:scrollHorizontally="true"
                        android:text="@string/complete_task"
                        android:padding="3dp"
                        android:textColor="@color/white"
                        android:textSize="15dp"
                        android:textStyle="normal" />
                </LinearLayout>




            </LinearLayout>


        </LinearLayout>

    </LinearLayout>


</RelativeLayout>
